<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
    public function login(Request $request)
    {
        $input = $request->all();

        $this->validate($request, [
            'email' => 'required|email',
            'password' => 'required',
        ]);

        if(auth()->attempt(array('email' => $input['email'], 'password' => $input['password']))){
            if (auth()->user()->id_role == 1) {
                return redirect()->route('marketing.productos_promocionales');
            }
            if (auth()->user()->id_role == 2) {
                return redirect()->route('apm.calendario');
            }
            if (auth()->user()->id_role == 3) {
                return redirect()->route('dashboard.gerente_linea');
            }
            if (auth()->user()->id_role == 4) {
                return redirect()->route('dashboard.gerente_mercadeo');
            }
            return redirect()->route('login')->with('error','Email-Address And Password Are Wrong.');
        }else{
            return redirect()->route('login')->with('error','Email-Address And Password Are Wrong.');
        }
    }
}
