<?php

namespace App\Http\Controllers;
use App\Linea;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class LineaController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $lineas=Linea::all();
        return view('lineas.lista',compact('lineas'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('lineas.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $where = [
            'descripcion_linea' => $request->descripcion
        ];
        $verificarRepetido=Linea::where($where)->first();
        if($verificarRepetido){
            $arrResponse = [
                'message' => 'La Línea ya existe'
            ];
            return redirect()->route('linea.index')->with($arrResponse);
            dd();
        }
        $linea = new Linea();
        $linea->descripcion_linea = $request->descripcion;
        $linea->id_user = Auth::id();
        $linea->save();
        $arrResponse = [
            'message' => 'Línea guardado correctamente'
        ];
        return redirect()->route('linea.index')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Linea $linea)
    {
        //
        return view('lineas.editar',compact('linea'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Linea $linea)
    {
        //
        $linea->descripcion_linea = $request->descripcion;
        $linea->id_user = Auth::id();
        $linea->update();
        $arrResponse = [
            'message' => 'Línea actualizada correctamente'
        ];
        return redirect()->route('linea.index')->with($arrResponse);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Linea::destroy($id);
        $arrResponse = [
            'message' => 'Linea eliminada correctamente'
        ];
        return redirect()->route('linea.index')->with($arrResponse);
    }
}
