@extends('layouts.index')
@section('contenido')
<div class="content">
	<div class="card">
		<div class="card-header header-elements-inline">
			<h5 class="card-title">EDITAR SOCIO</h5>
			<div class="header-elements">
				<div class="list-icons">
				    <a class="list-icons-item" data-action="collapse"></a>
				</div>
			</div>
		</div>

		<div class="card-body">
			<form action="{{ route('socios.actualizar',$socio->id) }}" method="POST">
                @csrf
				<fieldset>
					<legend class="font-weight-semibold text-uppercase font-size-sm">
						<i class="icon-reading mr-2"></i>
						INFORMACIÓN PERSONAL
					</legend>
					<div class="show">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="">Ingrese el NIT</label>
                                    <input type="text" value="{{$socio->nit_socio}}" class="form-control" name="nit" placeholder="Ingrese el NIT">
                                </div>
                                <div class="form-group">
                                    <label for="">Ingrese el DPI</label>
                                    <input type="text" value="{{$socio->dpi}}" class="form-control" name="dpi" placeholder="Ingrese el DPI">
                                </div>
                                <div class="form-group">
                                    <label for="">Ingrese el teléfono</label>
                                    <input type="text" value="{{$socio->telefono_oficina_socio}}" class="form-control" name="telefono" placeholder="Ingrese el teléfono">
                                </div>
                                <div class="form-group">
                                    <label for="">Ingrese el celular</label>
                                    <input type="text" value="{{$socio->telefono_movil_socio}}" class="form-control" name="celular" placeholder="Ingrese el celular">
                                </div>
                                <div class="form-group">
                                    <label for="">Número de colegiado</label>
                                    <input type="number" value="{{$socio->numero_colegiado_socio}}" class="form-control" name="colegiado" placeholder="Número de colegiado">
                                </div>
                                <div class="form-group">
                                    <label for="">Dirección</label>
                                    <input type="text" value="{{$socio->direccion}}" class="form-control" name="direccion" placeholder="Dirección">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="">Primer nombre socio</label>
                                    <input type="text" value="{{$socio->primer_nombre_socio}}" class="form-control" name="primer_nombre" placeholder="Primer nombre socio">
                                </div>
                                <div class="form-group">
                                    <label for="">Segundo nombre socio</label>
                                    <input type="text" value="{{$socio->segundo_nombre_socio}}" class="form-control" name="segundo_nombre" placeholder="Segundo nombre socio">
                                </div>
                                <div class="form-group">
                                    <label for="">Primer apellido socio</label>
                                    <input type="text" value="{{$socio->primer_apellido_socio}}" class="form-control" name="primer_apellido" placeholder="Primer apellido socio">
                                </div>
                                <div class="form-group">
                                    <label for="">Segundo apellido socio</label>
                                    <input type="text" value="{{$socio->segundo_apellido_socio}}" class="form-control" name="segundo_apellido" placeholder="Segundo apellido socio">
                                </div>
                                <div class="form-group">
                                    <label for="">Nombre comercial</label>
                                    <input type="text" value="{{$socio->nombre_comercial_socio}}" class="form-control" name="nombre_comercial" placeholder="Nombre comercial">
                                </div>
                                <div class="form-group">
                                    <label for="">Especialidad</label>
                                    <select class="form-control" name="especialidad">
                                        @foreach ($especialidades as $especialidad)
                                            <option {{ $socio->id_especialidad == $especialidad['id'] ? "selected" : "" }} value="{{$especialidad['id']}}">{{$especialidad['descripcion_especialidad']}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <legend class="font-weight-semibold text-uppercase font-size-sm">
                            <i class="icon-reading mr-2"></i>
                            INFORMACIÓN MERCAFARMA
                        </legend>
                        <div class="row">
                            <div class="col-md-6">
                                <input type="hidden" id="id_codigo_postal" name="id_codigo_postal" value="{{$socio->id_codigo_postal}}">
                                <input type="hidden" id="id_gira" name="id_gira" value="{{$socio->id_gira}}">
                                <div class="form-group">
                                    <label for="">País</label>
                                    <select class="form-control" name="especialidad">
                                        @foreach ($pais as $paisN)
                                            <option {{ $socio->codigo->id_pais == $paisN['id'] ? "selected" : "" }} value="{{$paisN['id']}}">{{$paisN['descripcion_pais']}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="">Departamento</label>
                                    <input type="text" class="form-control" id="departamento" name="departamento" value="{{$socio->codigo->departamento['descripcion_departamento']}}" placeholder="" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="">Municipio</label>
                                    <input type="text" class="form-control" id="municipio" name="municipio" value="{{$socio->codigo->municipio['descripcion_municipio']}}"  placeholder="" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="">Código Postal</label>
                                    <input type="text" class="form-control" id="codigo_Postal" name="codigo_Postal" value="{{$socio->codigo['descripcion_zona_codigo_postal']}}" placeholder="" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="">Zona</label>
                                    <input type="text" class="form-control" id="zona" name="zona" value="{{$socio->codigo->zona['descripcion_zona']}}" placeholder="" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="">Región</label>
                                    <input type="text" class="form-control" id="region" name="region" value="{{$socio->codigo->region['descripcion_region']}}" placeholder="" readonly>
                                </div>
                                <div class="form-group">
                                    <label for="">Gira</label>
                                    <input type="text" class="form-control" id="gira" name="gira" value="{{$socio->codigo->gira['descripcion_gira']}}" placeholder="" readonly>
                                </div>
                                <a class="btn btn-success"  data-toggle="modal" data-target="#tablaCodigoArea">Buscar <i class="icon-search4 ml-2"></i></a>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Fecha cumpleaños:</label>
                                    <div class="input-group">
                                        <span class="input-group-prepend">
                                            <span class="input-group-text"><i class="icon-calendar22"></i></span>
                                        </span>
                                        <input type="text" value="{{$socio->fecha_cumpleanos>'1930-01-01'?date_format(date_create($socio->fecha_cumpleanos), 'm-d-Y'):''}}" 
                                                class="form-control daterange-single" name="fecha_cumpleanos" value="">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="">Hobby</label>
                                    <input type="text" value="{{$socio->hobby}}" class="form-control" name="hobby" placeholder="Hobby">
                                </div>
                                <div class="form-group">
                                    <label for="">Código Diamente</label>
                                    <input type="text" value="{{$socio->cod_diamante}}" class="form-control" name="diamante" placeholder="Código Diamente">
                                </div>
                                <div class="form-group">
                                    <label for="">Código Elvis</label>
                                    <input type="text" value="{{$socio->cod_elvis}}" class="form-control" name="elvis" placeholder="Código Elvis">
                                </div>
                                <div class="form-group">
                                    <label>Tipo de socio</label>
                                    <select class="form-control" name="tipo_socio">
                                        @foreach ($tipoSocio as $socio)
                                            <option {{ $socio->id_tipo_socio == $socio['id'] ? "selected" : "" }} value="{{$socio['id']}}">{{$socio['descripcion_tipo_socio']}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Lista de precios</label>
                                    <select class="form-control" name="id_lista">
                                        @foreach ($listas as $lista)
                                            <option {{ $socio->id_lista == $lista['id'] ? "selected" : "" }} value="{{$lista['id']}}">{{$lista['nombre']}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Clasificación</label>
                                    <select class="form-control" name="clasificación">
                                        @foreach ($clasificaciones as $clasificacion)
                                            <option {{ $socio->id_clasificacion == $clasificacion['id'] ? "selected" : "" }} value="{{$clasificacion['id']}}">{{$clasificacion['descripcion_clasificacion']}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Seleccione las líneas</label>
                                    <select id="linea_socio" multiple="multiple" class="form-control select" name="lineas[]">
                                        @foreach ($lineas as $linea)
                                            <option value="{{$linea['id']}}">{{$linea['descripcion_linea']}}</option>
                                        @endforeach
                                    </select>
                                    @foreach ($linea_socio as $seleccionar)
                                        <script>
                                            //Bonificacion
                                            var idBuscar={{ $seleccionar->id_linea }};
                                            var listaLineas=document.getElementById('linea_socio').options;
                                            for (var i = 0; i < listaLineas.length; i++) {
                                                if(listaLineas[i].value==idBuscar){
                                                    listaLineas[i].selected= 'selected';
                                                }
                                            }
                                            
                                            //document.getElementById(objetivo).value = idBuscar;
                                        </script>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
				</fieldset>

				<div class="text-right">
					<a href="{{route('socios.index')}}" class='btn btn-danger'>Cancelar</a> <button type="submit" class="btn btn-primary">Actualizar Socio<i class="icon-floppy-disk ml-2"></i></button>
				</div>
            </form>

		</div>
	</div>
</div>
<div class="modal fade" id="tablaCodigoArea" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <table id="tablaJS" class="table">
                    <thead>
                        <tr>
                            <th>id</th>
                            <th>Código Postal</th>
                            <th>País</th>
                            <th>Departamento</th>
                            <th>Municipio</th>
                            <th>Zona</th>
                            <th>Región</th>
                            <th>Gira</th>
                            <th class="text-center">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection

@section('javascript')
<script>
    jQuery( document ).ready(function() {
        //Cargar la info

        var table =$('#tablaJS').DataTable( {
            "ajax": "{{ route('socios.codigos_area') }}",
            "columns": [
                { "data": "id" },
                { "data": "descripcion_zona_codigo_postal" },
                { "data": "pais.descripcion_pais" },
                { "data": "departamento.descripcion_departamento" },
                { "data": "municipio.descripcion_municipio" },
                { "data": "zona.descripcion_zona" },
                { "data": "region.descripcion_region" },
                { "data": "gira.descripcion_gira" },
                { "defaultContent": "<button class='btn btn-success seleccionarCodigoArea'>Seleccionar</button>" }
            ]
        } );
        $('#tablaJS tbody').on('click', 'button',function(){
            var data = table.row( $(this).parents('tr') ).data();
            console.log(data);
            $('#pais').val(data.pais.descripcion_pais);
            $('#departamento').val(data.departamento.descripcion_departamento);
            $('#municipio').val(data.municipio.descripcion_municipio);
            $('#codigo_Postal').val(data.descripcion_zona_codigo_postal);
            $('#zona').val(data.zona.descripcion_zona);
            $('#region').val(data.region.descripcion_region);
            $('#gira').val(data.gira.descripcion_gira);
            $('#id_codigo_postal').val(data.id);
            $('#id_gira').val(data.id_gira);
            $('#tablaCodigoArea').modal('hide');
        })
        $('.select').select2({
            minimumResultsForSearch: Infinity
        });
    });
</script>
@endsection
